Bug 767270 - hwloc update breaks mpich2 deps.
Summary: hwloc update breaks mpich2 deps.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mpich2
Version: 16
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-13 17:14 UTC by Orion Poplawski
Modified: 2011-12-28 22:20 UTC (History)
5 users (show)

Fixed In Version: mpich2-1.4.1p1-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-28 22:20:10 UTC
Type: ---


Attachments (Terms of Use)

Description Orion Poplawski 2011-12-13 17:14:23 UTC
Description of problem:

Looks like hwloc's soname got bumped in f16.  At this point it seems that the best thing to do for mpich2 is to do a rebuild and update.

https://admin.fedoraproject.org/updates/FEDORA-2011-15912/hwloc-1.3-1.fc16

# yum -y upgrade hwloc mpich2
Loaded plugins: auto-update-debuginfo, downloadonly, langpacks, refresh-packagekit
Setting up Upgrade Process
Resolving Dependencies
--> Running transaction check
---> Package hwloc.i686 0:1.2.1-0.fc16 will be updated
--> Processing Dependency: libhwloc.so.3 for package: mpich2-1.4.1p1-2.fc16.i686
--> Processing Dependency: hwloc = 1.2.1-0.fc16 for package: hwloc-devel-1.2.1-0.fc16.i686
---> Package hwloc.i686 0:1.3-1.fc16 will be an update
---> Package mpich2.i686 0:1.4.1p1-1.fc16 will be updated
--> Processing Dependency: mpich2 = 1.4.1p1-1.fc16 for package: mpich2-devel-1.4.1p1-1.fc16.i686
---> Package mpich2.i686 0:1.4.1p1-2.fc16 will be an update
--> Running transaction check
---> Package hwloc.i686 0:1.2.1-0.fc16 will be updated
--> Processing Dependency: libhwloc.so.3 for package: mpich2-1.4.1p1-2.fc16.i686
---> Package hwloc-devel.i686 0:1.2.1-0.fc16 will be updated
---> Package hwloc-devel.i686 0:1.3-1.fc16 will be an update
---> Package mpich2-devel.i686 0:1.4.1p1-1.fc16 will be updated
---> Package mpich2-devel.i686 0:1.4.1p1-2.fc16 will be an update
--> Finished Dependency Resolution
Error: Package: mpich2-1.4.1p1-2.fc16.i686 (updates)
           Requires: libhwloc.so.3
           Removing: hwloc-1.2.1-0.fc16.i686 (@fedora)
               libhwloc.so.3
           Updated By: hwloc-1.3-1.fc16.i686 (updates)
               Not found
 You could try using --skip-broken to work around the problem

Comment 1 Deji Akingunola 2011-12-13 20:50:47 UTC
The mpich2 fix (rebuild) have just been pushed to stable updates.

Comment 2 Orion Poplawski 2011-12-13 21:07:36 UTC
mpich2-1.4.1p1-2.fc16 was built against hwloc 1.2.1, not 1.3.

Comment 3 Fedora Update System 2011-12-14 06:16:33 UTC
mpich2-1.4.1p1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mpich2-1.4.1p1-3.fc16

Comment 4 Fedora Update System 2011-12-14 23:32:44 UTC
Package mpich2-1.4.1p1-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mpich2-1.4.1p1-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17098/mpich2-1.4.1p1-3.fc16
then log in and leave karma (feedback).

Comment 5 Michael Bromley 2011-12-15 01:56:10 UTC
this appears to be a recurring problem when keeping them in sync?
https://bugzilla.redhat.com/show_bug.cgi?id=722652

Comment 6 Dieter Vandenbroeck 2011-12-21 17:29:11 UTC
The update fixes the issue. However, still not available in stable update repo

Comment 7 Fedora Update System 2011-12-28 22:20:10 UTC
mpich2-1.4.1p1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.